=== debian/changelog ===
heaptrack (1.0.0-4) unstable; urgency=medium

  * [aaf8b5c] Run unittests during the build.

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Apr 2017 15:07:26 +0200

heaptrack (1.0.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * [446b623] Optimize build dependencies. (Closes: #859745)

 -- Anton Gladky <gladk@debian.org>  Sun, 09 Apr 2017 00:15:16 +0200

heaptrack (1.0.0-2) unstable; urgency=medium

  * [cf6520a] Add kio-dev as a build-dependency.
  * [8879be4] Add libheaptrack as a dependency of (Closes: #859512)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Apr 2017 18:09:48 +0200

heaptrack (1.0.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #858858)

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jan 2017 20:14:59 +0100
