=== debian/control ===
Source: heaptrack
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               qtbase5-dev,
               qtbase5-dev-tools,
               libkf5kio-dev,
               libkf5configwidgets-dev,
               libkf5threadweaver-dev,
               libkf5itemmodels-dev,
               libkf5i18n-dev,
               libkchart-dev,
               libdwarf-dev,
               libelf-dev,
               extra-cmake-modules,
               libunwind-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               zlib1g-dev,
               libsparsehash-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/heaptrack.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/heaptrack.git
Homepage: https://github.com/KDE/heaptrack

Package: heaptrack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libheaptrack (= ${binary:Version})
Description: Heap memory profiler for Linux
 Heap memory usage profiler. It uses LD_PRELOAD to track all
 calls to the core memory allocation functions and logs these
 occurrences. Additionally, backtraces are obtained and logged.
 .
 The package contains command line tools.

Package: heaptrack-gui
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heap memory profiler for Linux
 Heap memory usage profiler. It uses LD_PRELOAD to track all
 calls to the core memory allocation functions and logs these
 occurrences. Additionally, backtraces are obtained and logged.
 .
 The package contains GUI for the data analyze.

Package: libheaptrack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heap memory profiler for Linux
 Heap memory usage profiler. It uses LD_PRELOAD to track all
 calls to the core memory allocation functions and logs these
 occurrences. Additionally, backtraces are obtained and logged.
 .
 The package contains shared libraries.
