=== tests/manual/CMakeLists.txt ===
--- 
+++ 
@@ -12,3 +12,8 @@
 target_link_libraries(test_lib testlib)
 
 add_executable(test_aggregation test_aggregation.cpp)
+
+add_executable(signals signals.cpp)
+target_link_libraries(signals ${CMAKE_THREAD_LIBS_INIT})
+
+add_executable(libc_leaks libc_leaks.c)
