=== src/analyze/gui/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
     treemodel.cpp
     treeproxy.cpp
     costdelegate.cpp
-    modeltest.cpp
     parser.cpp
     flamegraph.cpp
     stacksmodel.cpp
@@ -87,5 +86,3 @@
 install(FILES org.kde.heaptrack.appdata.xml
     DESTINATION ${KDE_INSTALL_METAINFODIR}
 )
-
-ki18n_install(po)
