=== debian/changelog ===
heaptrack (1.0.1~20170503.git4da8c45-3) unstable; urgency=medium

  * [dfbead4] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 May 2017 23:12:12 +0200

heaptrack (1.0.1~20170503.git4da8c45-2) unstable; urgency=medium

  * [50e65ec] Disable unittests on mips due to crash in a third lib.
              (Closes: #861826)
  * [f7f6bed] Add d/watch.
  * [84c5439] Add simple autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 May 2017 19:16:18 +0200

heaptrack (1.0.1~20170503.git4da8c45-1) unstable; urgency=medium

  [ Milian Wolff ]
  * [3977193] Fix unittests due to libunwind. (Closes: #860949)

  [ Anton Gladky ]
  * [80b8ee3] Do not override failing of unittests.
  * [6ef6b77] Ignore quilt dir
  * [56de1cc] Do not build in Debug-mode.
  * [ee63343] Add script to download heaptrack from github.
  * [8dd4054] New upstream version 1.0.1~20170503.git4da8c45

 -- Anton Gladky <gladk@debian.org>  Wed, 03 May 2017 22:32:13 +0200
