=== debian/tests/control ===
Tests: 01_heaptrack
Depends: heaptrack
Restrictions: allow-stderr
