=== tests/CMakeLists.txt ===
add_subdirectory(manual)
add_subdirectory(auto)
add_subdirectory(benchmarks)
