=== debian/changelog ===
heaptrack (1.0.1~20180129.gita4534d5-1) unstable; urgency=medium

  * [a6dc2c1] New upstream version 0~20180129.gita4534d5. (Closes: #887757)
  * [718fc77] Disable KDE test
  * [2e67083] Ignore quilt dir
  * [29e6221] Apply cme fix dpkg
  * [d2703ab] Remove testsuite-field in d/control
  * [429a120] Update VCS-field (move to salsa)
  * [3c1ec4b] Use compat-level 11
  * [e8b0aa0] Update autopkgtest
  * [810d33c] Add one more autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Feb 2018 20:36:37 +0100
