=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: devel
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                qtbase5-dev,
                qtbase5-dev-tools,
                libkf5kio-dev,
@@ -23,9 +22,9 @@
                libboost-regex-dev,
                zlib1g-dev,
                libsparsehash-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/heaptrack.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/heaptrack.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/heaptrack.git
+Vcs-Git: https://salsa.debian.org/science-team/heaptrack.git
 Homepage: https://github.com/KDE/heaptrack
 
 Package: heaptrack
