## heaptrack 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,19 +14,22 @@
 endif()
 
 set(HEAPTRACK_VERSION_MAJOR 1)
-set(HEAPTRACK_VERSION_MINOR 0)
+set(HEAPTRACK_VERSION_MINOR 1)
 set(HEAPTRACK_VERSION_PATCH 0)
-set(HEAPTRACK_LIB_VERSION 1.0.0)
-set(HEAPTRACK_LIB_SOVERSION 1)
+set(HEAPTRACK_LIB_VERSION 1.1.0)
+set(HEAPTRACK_LIB_SOVERSION 2)
 set(HEAPTRACK_FILE_FORMAT_VERSION 2)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
+include(FeatureSummary)
 find_package(Libunwind REQUIRED)
-find_package(Boost 1.41.0 REQUIRED COMPONENTS iostreams program_options)
+find_package(Boost 1.41.0 COMPONENTS system filesystem) # option first
+find_package(Boost 1.41.0 REQUIRED COMPONENTS iostreams program_options) # then required
 find_package(Threads REQUIRED)
 find_package(ZLIB REQUIRED)
-include(FeatureSummary)
+find_package(Zstd)
+set_package_properties(Zstd PROPERTIES TYPE RECOMMENDED PURPOSE "Zstandard offers better (de)compression performance compared with gzip/zlib, making heaptrack faster and datafiles smaller.")
 
 option(
   HEAPTRACK_BUILD_GUI
@@ -91,6 +94,8 @@
     "${CMAKE_INSTALL_PREFIX}/${BIN_INSTALL_DIR}"
     "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/heaptrack")
 
+set(ECM_ENABLE_SANITIZERS "" CACHE STRING "semicolon-separated list of sanitizers to enable for code that is not injected into client applications")
+
 add_subdirectory(3rdparty)
 add_subdirectory(src)
 add_subdirectory(tests)
