=== debian/changelog ===
heaptrack (1.1.0-3build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:13:31 +0000

heaptrack (1.1.0-3) unstable; urgency=medium

  * [039b42f] Disable two failing tests.

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Jun 2018 18:37:22 +0200

heaptrack (1.1.0-2) unstable; urgency=medium

  * [31bf7e2] Add libzstd-dev to build-depends
  * [db25410] Add libboost-filesystem-dev and libboost-system-dev
              to build-depends
  * [e2bf4ab] Enable all tests to check them on all archs

 -- Anton Gladky <gladk@debian.org>  Wed, 13 Jun 2018 23:56:20 +0200

heaptrack (1.1.0-1) unstable; urgency=medium

  * [ed3605b] Update script for the packing the source
  * [39ada17] New upstream version 1.1.0. (Closes: #901049)
  * [1ea6a50] Set Standards-Version to 4.1.4
  * [640f04e] Update changelog.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jun 2018 21:19:13 +0200
