=== debian/control ===
--- 
+++ 
@@ -18,11 +18,14 @@
                extra-cmake-modules,
                libunwind-dev,
                libboost-iostreams-dev,
+               libboost-filesystem-dev,
+               libboost-system-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
                zlib1g-dev,
+               libzstd-dev,
                libsparsehash-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/science-team/heaptrack.git
 Vcs-Git: https://salsa.debian.org/science-team/heaptrack.git
 Homepage: https://github.com/KDE/heaptrack
