=== debian/tests/control ===
Tests: 01-heaptrack 02-heaptrack
Depends: heaptrack
Restrictions: allow-stderr
