## heaptrack 1.1.0+20180922.gitf752536

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 set(HEAPTRACK_VERSION_MAJOR 1)
 set(HEAPTRACK_VERSION_MINOR 1)
-set(HEAPTRACK_VERSION_PATCH 0)
-set(HEAPTRACK_LIB_VERSION 1.1.0)
+set(HEAPTRACK_VERSION_PATCH 80)
+set(HEAPTRACK_LIB_VERSION 1.1.80)
 set(HEAPTRACK_LIB_SOVERSION 2)
 set(HEAPTRACK_FILE_FORMAT_VERSION 2)
