=== src/analyze/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,14 @@
+if (ECM_FOUND)
+    include(ECMEnableSanitizers)
+endif()
+
+configure_file(analyze_config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/analyze_config.h)
+
 include_directories(
     ${Boost_INCLUDE_DIRS}
     ${ZLIB_INCLUDE_DIRS}
+    ${PROJECT_SOURCE_DIR}/3rdparty/
+    ${CMAKE_CURRENT_BINARY_DIR}
 )
 
 add_library(sharedprint STATIC
@@ -12,6 +20,12 @@
     ${ZLIB_LIBRARIES}
 )
 
+if (ZSTD_FOUND)
+target_link_libraries(sharedprint LINK_PUBLIC
+    boost-zstd
+)
+endif()
+
 add_subdirectory(print)
 
 if (KF5_FOUND)
