=== debian/changelog ===
heaptrack (1.1.0+20180922.gitf752536-4) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * [58b38ee] Update description to make heaptrack more discoverable to users.
              (Closes: #915241)

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Feb 2019 09:44:39 +0200

heaptrack (1.1.0+20180922.gitf752536-3) unstable; urgency=medium

  * [0b640ca] Fix broken patch

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Sep 2018 15:27:56 +0200

heaptrack (1.1.0+20180922.gitf752536-2) unstable; urgency=medium

  * [143f6cc] Disable some more tests

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Sep 2018 14:56:15 +0200

heaptrack (1.1.0+20180922.gitf752536-1) unstable; urgency=medium

  * [1197d65] New upstream version 1.1.0+20180922.gitf752536. (Closes: #902200)
  * [7f2a7ba] Disable some failing tests for a while
  * [fc4a172] Fix spelling error
  * [0b1ee0e] Set Standards-Version: 4.2.1

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Sep 2018 10:00:48 +0200
