=== debian/changelog ===
heaptrack (1.2.0-1) unstable; urgency=medium

  * [f3ec34f] New upstream version 1.2.0
  * [a42d5a3] Remove unreliable patches
  * [9373ca1] Ignore quilt dir
  * [2322fe2] Bump debhelper from old 11 to 12.
  * [5479da2] Set debhelper-compat version in Build-Depends.
  * [9ba9600] Use canonical URL in Vcs-Browser.
  * [306c516] Set Standards-Version 4.5.0. No changes

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Nov 2020 22:05:40 +0100
