=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                qtbase5-dev,
                qtbase5-dev-tools,
                libkf5kio-dev,
@@ -25,8 +25,8 @@
                zlib1g-dev,
                libzstd-dev,
                libsparsehash-dev
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/science-team/heaptrack.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/science-team/heaptrack
 Vcs-Git: https://salsa.debian.org/science-team/heaptrack.git
 Homepage: https://github.com/KDE/heaptrack
